Subject: Meaning of FEStatus and roles in the model

From: Robert Haas <[email-masked]>
Date: Fri, 11 Jun 2004 10:27:25 +0200

Hi,
I'd like to understand more precisely the meaning of FEStatus as 
specified in

 http://www.ietf.org/internet-drafts/draft-ietf-forces-model-02.txt

 5.2.2.1. FEStatus 
     
    This attribute carries the overall state of the FE.  For now, it is 
    restricted to the strings AdminDisable, OperDisable and OperEnable. 

Is FEStatus meant to be an attribute that can be set from the CE in 
order to activate/deactivate the datapath processing of the FE ?

What is the distinction between Admin(istrator) and Oper(ator) ?  Is a 
role-based authentication expected ?

Thanks,

-- 
Robert Haas
IBM Zurich Research Laboratory
Säumerstrasse 4
CH-8803 Rüschlikon/Switzerland
phone +41-1-724-8698  fax +41-1-724-8578  http://www.zurich.ibm.com/~rha

---

From: "Joel M. Halpern" <[email-masked]>
Date: Fri, 11 Jun 2004 09:53:00 -0400

The distinction between Admin and Oper status comes out of other network 
management work.  sorry I was not more clear.
AdminDisable means that network management (maybe the CE via Forces if we 
choose to allow it, but more usually CLI or SNMP or ...) has disabled the 
device so it will not perform its function.  It is still active, and so may 
be discovered by a CE and might participate in ForCES.
OperDisable means that the FE thinks it ought to be operating, but has run 
into an operational difficulty that has caused it to cease performing its 
function.  For a single-ported FE, this might mean a port failure.  It 
might mean that some critical part internally has been detected to have 
failed.  It might just mean that the device is restarting and is not 
currently in a state to perform its functions.
OperEnable is the normal operational status.

This is not intended to be a comprehensive management diagnostic, but just 
enough information that the CE can know whether the FE is useable.  I added 
it because I did not want "ForCES reachable" to be assumed equal to 
"operationally available" since in reality the two are not always 
interchangeable.

Yours,
Joel

At 10:27 AM 6/11/2004 +0200, Robert Haas wrote:
>Hi,
>I'd like to understand more precisely the meaning of FEStatus as specified in
>
>    This attribute carries the overall state of the FE.  For now, it 
> is    restricted to the strings AdminDisable, OperDisable and OperEnable.
>Is FEStatus meant to be an attribute that can be set from the CE in order 
>to activate/deactivate the datapath processing of the FE ?
>

---

From: Robert Haas <[email-masked]>
Date: Fri, 11 Jun 2004 17:18:26 +0200

Thanks for the clarification. Is the FEStatus attribute read-only, or 
read-write ? I.e., can I activate the FE by setting its FEstatus to 
OperEnable, and deactivate it by setting it to AdminDisable ? NB, by 
activate/deactivate, I mean enable/disable the processing of data 
packets through the FE, i.e., enable/disable operation of all LFBs. Or 
is there another attribute for this ?

Regards,
-Robert

Joel M. Halpern wrote:

> The distinction between Admin and Oper status comes out of other 
> network management work.  sorry I was not more clear.
> AdminDisable means that network management (maybe the CE via Forces if 
> we choose to allow it, but more usually CLI or SNMP or ...) has 
> disabled the device so it will not perform its function.  It is still 
> active, and so may be discovered by a CE and might participate in ForCES.
> OperDisable means that the FE thinks it ought to be operating, but has 
> run into an operational difficulty that has caused it to cease 
> performing its function.  For a single-ported FE, this might mean a 
> port failure.  It might mean that some critical part internally has 
> been detected to have failed.  It might just mean that the device is 
> restarting and is not currently in a state to perform its functions.
> This is not intended to be a comprehensive management diagnostic, but 
> just enough information that the CE can know whether the FE is 
> useable.  I added it because I did not want "ForCES reachable" to be 
> assumed equal to "operationally available" since in reality the two 
> are not always interchangeable.
>
> Yours,
> Joel
>
>> What is the distinction between Admin(istrator) and Oper(ator) ?  Is 
>> a role-based authentication expected ?
>>
>> Thanks,
>>
>> -- 
>> Robert Haas

---

From: Alex Audu <[email-masked]>
Date: Fri, 11 Jun 2004 13:02:37 -0500

Simply put, an FE in AdminDisable status means the FE was removed by a management
entity (or manually by the craft person).  OperDisable'd  FE is an FE that was
removed
automatically by the fault-isolation program in the system.  In the latter case,
the system
will try to recover by for example, removing the FE, testing it, and then if OK,
restoring
it back to service.  Else, it is kept out of service.  In the AdminDisable
(manual) case,
the FE just stays out of service, and it shouldn't particiapte actively in
handling packets.

Cheers,
Alex.